package com.example.tolucagraphics.adapters

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.example.tolucagraphics.R
import com.example.tolucagraphics.events.UserElement

class MesasAdapter (val listamesa : ArrayList<UserElement>) : RecyclerView.Adapter<MesasAdapter.MesaHolder>() {

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): MesaHolder {
        var layoutInflate = LayoutInflater.from(parent.context)
            .inflate(R.layout.modelo_recycler_mesas, parent, false)
        return MesaHolder(layoutInflate)
    }

    override fun getItemCount(): Int {
        return listamesa.size
    }

    override fun onBindViewHolder(holder: MesaHolder, position: Int) {
        holder.vindeando(listamesa[position])
    }

    class MesaHolder(view: View) : RecyclerView.ViewHolder(view) {
        val id = view.findViewById<TextView>(R.id.campoMesaId)
        val st = view.findViewById<TextView>(R.id.campoMesaEstado)
        val s1 = view.findViewById<TextView>(R.id.campoMesaS1)
        val s2 = view.findViewById<TextView>(R.id.campoMesaS2)
        val s3 = view.findViewById<TextView>(R.id.campoMesaS3)
        val s4 = view.findViewById<TextView>(R.id.campoMesaS4)
        val s5 = view.findViewById<TextView>(R.id.campoMesaS5)
        val s6 = view.findViewById<TextView>(R.id.campoMesaS6)


        fun vindeando(elemento : UserElement) {
        }

    }
}

